Subject: Re: Non blocking I/O
From: [email-masked] (Holister)

17 May 1997 20:54:07 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
X-Sender: [email-masked]
Original-To: Mike Bernson <[email-masked]>
Original-cc: [email-masked]
In-Reply-To: <[email-masked]>
MIME-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
Original-Sender: [email-masked]

On Sat, 17 May 1997, Mike Bernson wrote:

> I am trying to set the the non-block read or write for a 
> tcp-socket.
> 
> I do the following fcntl(fd, SETFL, O_NONBLOCK) which does not
> return any errors. Then a do a read on the fd and it blocks. 
> 
> I need a way to do none blocking reads or find out how much data
> is pending so I can do the read for just that amount of data.
> 
> The same would be nice for writes but not needed.

select() will tell you IF data is pending, which is good... fctl() 
doesn't work in linux for setting non_blocking on tcp sockets either...so 
don't feel bad :)
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".